### Function

# Gimp edit_cut

#### Declaration [src]

    gboolean
    gimp_edit_cut (
      const GimpDrawable** drawables
    )

#### Description [src]

Cut from the specified drawables.

If there is a selection in the image, then the area specified by the selection is cut from the specified drawables and placed in an internal GIMP edit buffer. It can subsequently be retrieved using the `gimp_edit_paste()` command. If there is no selection and only one specified drawable, then the specified drawable will be removed and its contents stored in the internal GIMP edit buffer. This procedure will return `FALSE` if the selected area lies completely outside the bounds of the current drawables and there is nothing to cut from.

#### Parameters

`drawables`

  Type: An array of `None`

  The drawables to cut from.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE if the cut was successful, FALSE if there was nothing to copy from.